BF_COPY(1)

NAME
bf_copy - shell script to copy a bogofilter working directory

SYNOPSIS

bf_copy [-c] source_dir destination_dir

DESCRIPTION

bf_copy copies a bogofilter working directory to another directory. Currently it copies the database files (*.db), related files (log.*), and DB_CONFIG (if present).

OPTIONS

The -c option causes only active log files to be copied, not all. The default is to copy all log files.

EXIT STATUS

The script exits with status code 0 if everything went well, and nonzero if it encountered trouble.

BUGS

This script assumes all *.db files in the source directory are relevant and copies them. This may not match your actual configuration.

NOTES

This script is meant for use with Berkeley DB and SQLite based bogofilter versions.

This script expects a SUSv2 compliant shell. Solaris systems should have the SUNWxcu4 package installed (when bogofilter is configured) so that /usr/xpg4/bin/sh can be used.

AUTHORS

Matthias Andree